gnutls_record_set_state(3)

NAME
gnutls_record_set_state - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_record_set_state(gnutls_session_t session, unsigned read, const unsigned char [8] seq_number);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t type

unsigned read
    if non-zero the read parameters are returned, otherwise the write

const unsigned char [8] seq_number
    A 64-bit sequence number

DESCRIPTION
This function will set the sequence number in the current record state. This function is useful if sending and receiving are offloaded from gnutls. That is, if gnutls_record_get_state() was used.

RETURNS
GNUTLS_E_SUCCESS on success, or an error code. Since 3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/